#+TITLE: Org-mode Capture Templates for Atomic Notes (Zettelkasten) & GTD
#+STARTUP: overview

* Atomic Notes (Zettelkasten) - Fleeting Note
** TODO Write Template for Fleeting Note

* Atomic Notes (Zettelkasten) - Literature Note
** Template
*** Literature Note: %?
    :PROPERTIES:
    :ID: %u
    :CREATED: %U
    :AUTHOR: 
    :SOURCE: 
    :END:

    *Summary:*
    %?
    
    *Key Insights:*
    - 


* Atomic Notes (Zettelkasten) - Permanent Note
** Template
*** Permanent Note: %?
    :PROPERTIES:
    :ID: %u
    :CREATED: %U
    :LINKS: 
    :END:

    *Concept:*
    %?
    
    *References:*
    - 


* GTD - Inbox Capture
** Template
*** TODO %?
    :PROPERTIES:
    :CREATED: %U
    :END:
    :LOGBOOK:
    - State "TODO" from "" [%U]
    :END:
    
    %i
    
    %a

* Org-Capture Configuration Outline
** Emacs Lisp Snippet
#+BEGIN_SRC elisp
(setq org-capture-templates
      '(("z" "Atomic Notes (Zettelkasten) (Captures to Daily)")
        ("zf" "Fleeting Note" entry (file+olp+datetree (expand-file-name (format "%s/%%<%%Y-%%m-%%d>.org" (getenv "MEMEX_DAILY"))))
         "* Fleeting Note: %?\n  :PROPERTIES:\n  :ID: %u\n  :CREATED: %U\n  :END:\n\n  %i")
        ("zl" "Draft Literature Note" entry (file+olp+datetree (expand-file-name (format "%s/%%<%%Y-%%m-%%d>.org" (getenv "MEMEX_DAILY"))))
         "* Literature Note: %?\n  :PROPERTIES:\n  :ID: %u\n  :CREATED: %U\n  :AUTHOR: \n  :SOURCE: \n  :END:\n\n  *Summary:*\n  %?\n\n  *Key Insights:*\n  - ")
        ("zp" "Draft Permanent Note" entry (file+olp+datetree (expand-file-name (format "%s/%%<%%Y-%%m-%%d>.org" (getenv "MEMEX_DAILY"))))
         "* Permanent Note: %?\n  :PROPERTIES:\n  :ID: %u\n  :CREATED: %U\n  :LINKS: \n  :END:\n\n  *Concept:*\n  %?\n\n  *References:*\n  - ")
        ("t" "GTD - Task / Inbox" entry (file (getenv "MEMEX_INBOX"))
         "* TODO %?\n  :PROPERTIES:\n  :CREATED: %U\n  :END:\n  :LOGBOOK:\n  - State \"TODO\" from \"\" [%U]\n  :END:\n\n  %i\n  %a")))
#+END_SRC


